<main class="content">
    <div class="box">
        <mat-card>
            <mat-card-header>
                <mat-card-title>List Users</mat-card-title>
            </mat-card-header>
            <mat-card-content>
                <mat-form-field>
                    <mat-label>Filter</mat-label>
                    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
                </mat-form-field>
                <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

                    <!--- Note that these columns can be defined in any order.
                          The actual rendered columns are set as a property on the row definition" -->

                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef> Name </th>
                        <td mat-cell *matCellDef="let element"> {{element.first_name}} {{element.last_name}} </td>
                    </ng-container>

                    <ng-container matColumnDef="tel">
                        <th mat-header-cell *matHeaderCellDef> Tel </th>
                        <td mat-cell *matCellDef="let element"> {{element.tel}} </td>
                    </ng-container>

                    <ng-container matColumnDef="birthdate">
                        <th mat-header-cell *matHeaderCellDef> Birthdate </th>
                        <td mat-cell *matCellDef="let element"> {{element.birthdate}} </td>
                    </ng-container>

                    <ng-container matColumnDef="address">
                        <th mat-header-cell *matHeaderCellDef> Address </th>
                        <td mat-cell *matCellDef="let element"> {{element.address}} </td>
                    </ng-container>

                    <ng-container matColumnDef="email">
                        <th mat-header-cell *matHeaderCellDef> Email </th>
                        <td mat-cell *matCellDef="let element"> {{element.email}} </td>
                    </ng-container>
                    
                    <ng-container matColumnDef="year">
                        <th mat-header-cell *matHeaderCellDef> Year </th>
                        <td mat-cell *matCellDef="let element"> {{getYear(element.birthdate)}} </td>
                    </ng-container>

                    <ng-container matColumnDef="edit">
                        <th mat-header-cell *matHeaderCellDef> Edit </th>
                        <td mat-cell *matCellDef="let element">
                            <a mat-raised-button color="accent" href="/petition/update/{{element.id}}">Edit</a>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="delete">
                        <th mat-header-cell *matHeaderCellDef> Delete </th>
                        <td mat-cell *matCellDef="let element">
                            <button mat-raised-button color="warn" (click)="delete(element.id)">Delete</button>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
                <mat-paginator [pageSize]="10" [pageSizeOptions]="[1, 2, 5, 10, 25, 100]" aria-label="Select page">
                </mat-paginator>
            </mat-card-content>
            <mat-card-actions>
                <div class="position-btn">
                    <a mat-raised-button color="primary" href="/petition/create">Create</a>
                </div>
            </mat-card-actions>
        </mat-card>

    </div>
</main>